# DeepalgoIl

DeepalgoIl is a litte module that aim to convert the <i>Deepalgo IL</i> into a certain human readable form (it can be javascript, html, tex, etc...)
The goal is have a bunch of <i>backends</i> in which the <i>Deepalgo IL</i> can be represented. More, we should to be able to implement a new backend rapidly

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'deepalgo_il'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install deepalgo_il

## Usage
To use this library, you have to import it in your code. Thus you can call the method 
```
deepalgoIl_to(il, backends)
```
where
* il : stream of characters that represent a file in a <b>Deepalgo IL</b> form 
* backends : A list of backends in which you want your <b>il<b> to be represented. For example you can pass ["tex", "js"] to generate the <b>il</b> into a tex and javascript form. Obviously, these backends have to be implemented, otherwise every backend not implemented will be ignored. Not setting a value for this parameter will make the program generating outputs for every implemented backend

### To gene

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/deepalgo_il.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

